> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start



## OpenAPI

````yaml /openapi.json post /v1/vendor/requests/{recipientId}/messages
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/vendor/requests/{recipientId}/messages:
    post:
      tags:
        - Rfq Vendor Message
      summary: Start
      operationId: RfqVendorMessageController_start_v1
      parameters:
        - name: recipientId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                body:
                  minItems: 1
                  maxItems: 200
                  type: array
                  items:
                    oneOf:
                      - type: object
                        properties:
                          t:
                            type: string
                            enum:
                              - text
                          v:
                            type: string
                            minLength: 1
                            maxLength: 4000
                        required:
                          - t
                          - v
                        additionalProperties: false
                      - type: object
                        properties:
                          t:
                            type: string
                            enum:
                              - ref
                          id:
                            type: string
                            pattern: ^\d+$
                        required:
                          - t
                          - id
                        additionalProperties: false
                      - type: object
                        properties:
                          t:
                            type: string
                            enum:
                              - document
                          id:
                            type: string
                            pattern: ^\d+$
                          itemId:
                            type: string
                            enum:
                              - ''
                        required:
                          - t
                          - id
                          - itemId
                        additionalProperties: false
                itemIds:
                  default: []
                  maxItems: 50
                  type: array
                  items:
                    type: string
                    pattern: ^\d+$
              required:
                - body
              additionalProperties: false
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.